Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.user.authentication
Class BambooAuthenticator

    java.lang.Object
      DefaultAuthenticator
          com.atlassian.bamboo.user.authentication.BambooAuthenticator

    public class BambooAuthenticator

extends DefaultAuthenticator

Only authenticate when container has been setup

Constructor Summary
`BambooAuthenticator()`

Method Summary
`protected boolean` | `authenticate(Principal user, String password)`
`BambooUserManager` | `getBambooUserManager()`
`protected Principal` | `getUser(String uid)`
`boolean` | `login(HttpServletRequest request, HttpServletResponse response, String username, String password, boolean cookie)`
`void` | `setBambooUserManager(BambooUserManager bambooUserManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BambooAuthenticator

    public BambooAuthenticator()

Method Detail

### login

    public boolean login(HttpServletRequest request,
                         HttpServletResponse response,
                         String username,
                         String password,
                         boolean cookie)
                  throws AuthenticatorException

  Throws:
    `AuthenticatorException`

### authenticate

    protected boolean authenticate(Principal user,
                                   String password)

### getUser

    protected Principal getUser(String uid)

### getBambooUserManager

    public BambooUserManager getBambooUserManager()

### setBambooUserManager

    public void setBambooUserManager(BambooUserManager bambooUserManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.